function	not_loggedin(res){

	return res.status(401).send({
        ok: false,
		message: 'Not logged in'
	});
}

function	error(res, msg){

	return res.status(500).send({
        ok: false,
        message: (msg.message != null ? msg.message : msg)
	});
}

function loginerror(res, msg) {

    return res.status(200).send({
        ok: false,
        message: msg
    });
}

function success(res, hits, stats) {

    if (hits != null)
    {
        if (hits.ok != null)
            return res.json(hits);
        else
        {
            var result = { hits: hits, ok: true };
            if (stats != null)
                result['stats'] = stats;
            return res.json(result);
        }
    }
    else
    {
        var result = { ok: true };
        if (stats != null)
            result['stats'] = stats;
        return res.json(result);
    }
}

module.exports.resp_not_loggedin	= not_loggedin;
module.exports.resp_error           = error;
module.exports.resp_loginerror      = loginerror;
module.exports.resp_success			= success;
